using System;
namespace HaTeam.Dd.Model
{
	/// <summary>
	/// Dd_Admin:实体类(属性说明自动提取数据库字段的描述信息)
	/// </summary>
	[Serializable]
	public partial class Dd_Admin
	{
		public Dd_Admin()
		{}
		#region Model
		private int _admin_id;
		private string _admin_name;
		private string _admin_pwd;
		private string _admin_guid;
		private DateTime? _admin_datetime= DateTime.Now;
		private DateTime? _admin_updatetime= DateTime.Now;
		private int? _admin_verify;
		private int? _admin_lock;
		private int? _admin_state;
		private int? _admin_delete;
		private int? _admin_count;
		private int? _admin_order;
		private string _admin_remark;
		/// <summary>
		/// 管理员编号，后台管理员表，创建人：***
		/// </summary>
		public int Admin_ID
		{
			set{ _admin_id=value;}
			get{return _admin_id;}
		}
		/// <summary>
		/// 
		/// </summary>
		public string Admin_Name
		{
			set{ _admin_name=value;}
			get{return _admin_name;}
		}
		/// <summary>
		/// 登录密码
		/// </summary>
		public string Admin_Pwd
		{
			set{ _admin_pwd=value;}
			get{return _admin_pwd;}
		}
		/// <summary>
		/// 数据库表唯一性标识
		/// </summary>
		public string Admin_Guid
		{
			set{ _admin_guid=value;}
			get{return _admin_guid;}
		}
		/// <summary>
		/// 创建时间(本记录的创建时间)
		/// </summary>
		public DateTime? Admin_Datetime
		{
			set{ _admin_datetime=value;}
			get{return _admin_datetime;}
		}
		/// <summary>
		/// 更新时间(本记录最近修改时间)
		/// </summary>
		public DateTime? Admin_UpDatetime
		{
			set{ _admin_updatetime=value;}
			get{return _admin_updatetime;}
		}
		/// <summary>
		/// 是否审核(0未审核,1已审核)
		/// </summary>
		public int? Admin_Verify
		{
			set{ _admin_verify=value;}
			get{return _admin_verify;}
		}
		/// <summary>
		/// 是否锁定(0未锁定,1锁定)
		/// </summary>
		public int? Admin_Lock
		{
			set{ _admin_lock=value;}
			get{return _admin_lock;}
		}
		/// <summary>
		/// 数据状态(0正常,1不正常)
		/// </summary>
		public int? Admin_State
		{
			set{ _admin_state=value;}
			get{return _admin_state;}
		}
		/// <summary>
		/// 是否删除(0未删除,1已删除)
		/// </summary>
		public int? Admin_Delete
		{
			set{ _admin_delete=value;}
			get{return _admin_delete;}
		}
		/// <summary>
		/// 使用次数(本记录使用次数)
		/// </summary>
		public int? Admin_Count
		{
			set{ _admin_count=value;}
			get{return _admin_count;}
		}
		/// <summary>
		/// 记录排序(记录显示的顺序)
		/// </summary>
		public int? Admin_Order
		{
			set{ _admin_order=value;}
			get{return _admin_order;}
		}
		/// <summary>
		/// 备注说明信息
		/// </summary>
		public string Admin_Remark
		{
			set{ _admin_remark=value;}
			get{return _admin_remark;}
		}
		#endregion Model

	}
}

